# frozen_string_literal: true

require 'rails/generators'
require 'rails/generators/migration'

module Segmentor
  module Generators
    # InstallGenerator is a generator for the Segmentor gem.
    class InstallGenerator < Rails::Generators::Base
      include Rails::Generators::Migration

      source_root File.expand_path('templates', __dir__)
      desc 'Generate segmentor required files'
      def self.next_migration_number(path)
        next_migration_number = current_migration_number(path) + 1
        ActiveRecord::Migration.next_migration_number(next_migration_number)
      end

      def copy_migrations
        migration_template 'create_segmentor_tables.rb',
                           'db/migrate/create_segmentor_tables.rb'

        puts 'DB migration generated. Run rake db:migrate next'
      end
    end
  end
end
