# frozen_string_literal: true

module Segmentor
  # NotifierContext is stored alongside a segment as it passed to the
  # notify! block to be used by the notifier.
  class NotifierContext < ActiveRecord::Base
    self.table_name = :segmentor_notifier_contexts

    belongs_to :segment, class_name: 'Segmentor::Segment', foreign_key: :segment_id

    validates :segment, presence: true
    validates :type, presence: true
  end
end
