# frozen_string_literal: true

module Segmentor
  # Source runs the code and returns an array of ::Segmentor::Target
  # you can dervie from this for different types of code sources (ie Ruby, JS, etc)
  class Source < ActiveRecord::Base
    self.table_name = 'segmentor_sources'

    belongs_to :segment, class_name: '::Segmentor::Segment', foreign_key: :segment_id

    validates :code, presence: true
    validates :type, presence: true
    validates :segment, presence: true

    def execute
      raise NotImplementedError, 'execute must be implemented in a subclass'
    end
  end
end
